it.csi.mddtools.guigen

## Enum WizardNumberingTypes

- java.lang.Object
- - java.lang.Enum<WizardNumberingTypes>
  - - it.csi.mddtools.guigen.WizardNumberingTypes

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<WizardNumberingTypes>, org.eclipse.emf.common.util.Enumerator

      public enum WizardNumberingTypes
      extends java.lang.Enum<WizardNumberingTypes>
      implements org.eclipse.emf.common.util.Enumerator

  A representation of the literals of the enumeration 'Wizard Numbering Types', and utility methods for working with them.
  See Also:
    `GuigenPackage.getWizardNumberingTypes()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARABIC_NUMERALS` The 'ARABIC NUMERALS' literal object
    `LOWERCASE_ALPHA` The 'LOWERCASE ALPHA' literal object
    `LOWERCASE_ROMAN_NUMERALS` The 'LOWERCASE ROMAN NUMERALS' literal object
    `NO_NUMBERING` The 'NO NUMBERING' literal object
    `UPPERCASE_ALPHA` The 'UPPERCASE ALPHA' literal object
    `UPPERCASE_ROMAN_NUMERALS` The 'UPPERCASE ROMAN NUMERALS' literal object

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ARABIC_NUMERALS_VALUE` The 'ARABIC NUMERALS' literal value
    `static int` | `LOWERCASE_ALPHA_VALUE` The 'LOWERCASE ALPHA' literal value
    `static int` | `LOWERCASE_ROMAN_NUMERALS_VALUE` The 'LOWERCASE ROMAN NUMERALS' literal value
    `static int` | `NO_NUMBERING_VALUE` The 'NO NUMBERING' literal value
    `static int` | `UPPERCASE_ALPHA_VALUE` The 'UPPERCASE ALPHA' literal value
    `static int` | `UPPERCASE_ROMAN_NUMERALS_VALUE` The 'UPPERCASE ROMAN NUMERALS' literal value
    `static java.util.List<WizardNumberingTypes>` | `VALUES` A public read-only list of all the 'Wizard Numbering Types' enumerators

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WizardNumberingTypes` | `get(int value)` Returns the 'Wizard Numbering Types' literal with the specified integer value
    `static WizardNumberingTypes` | `get(java.lang.String literal)` Returns the 'Wizard Numbering Types' literal with the specified literal value
    `static WizardNumberingTypes` | `getByName(java.lang.String name)` Returns the 'Wizard Numbering Types' literal with the specified name
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation
    `static WizardNumberingTypes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static WizardNumberingTypes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_NUMBERING

          public static final WizardNumberingTypes NO_NUMBERING

      The 'NO NUMBERING' literal object.
      See Also:
        `NO_NUMBERING_VALUE`

    - #### ARABIC_NUMERALS

          public static final WizardNumberingTypes ARABIC_NUMERALS

      The 'ARABIC NUMERALS' literal object.
      See Also:
        `ARABIC_NUMERALS_VALUE`

    - #### LOWERCASE_ALPHA

          public static final WizardNumberingTypes LOWERCASE_ALPHA

      The 'LOWERCASE ALPHA' literal object.
      See Also:
        `LOWERCASE_ALPHA_VALUE`

    - #### UPPERCASE_ALPHA

          public static final WizardNumberingTypes UPPERCASE_ALPHA

      The 'UPPERCASE ALPHA' literal object.
      See Also:
        `UPPERCASE_ALPHA_VALUE`

    - #### UPPERCASE_ROMAN_NUMERALS

          public static final WizardNumberingTypes UPPERCASE_ROMAN_NUMERALS

      The 'UPPERCASE ROMAN NUMERALS' literal object.
      See Also:
        `UPPERCASE_ROMAN_NUMERALS_VALUE`

    - #### LOWERCASE_ROMAN_NUMERALS

          public static final WizardNumberingTypes LOWERCASE_ROMAN_NUMERALS

      The 'LOWERCASE ROMAN NUMERALS' literal object.
      See Also:
        `LOWERCASE_ROMAN_NUMERALS_VALUE`

  - ### Field Detail

    - #### NO_NUMBERING_VALUE

          public static final int NO_NUMBERING_VALUE

      The 'NO NUMBERING' literal value.

      If the meaning of 'NO NUMBERING' literal object isn't clear, there really should be more of a description here...

      See Also:
        `NO_NUMBERING`, Constant Field Values

    - #### ARABIC_NUMERALS_VALUE

          public static final int ARABIC_NUMERALS_VALUE

      The 'ARABIC NUMERALS' literal value.

      If the meaning of 'ARABIC NUMERALS' literal object isn't clear, there really should be more of a description here...

      See Also:
        `ARABIC_NUMERALS`, Constant Field Values

    - #### LOWERCASE_ALPHA_VALUE

          public static final int LOWERCASE_ALPHA_VALUE

      The 'LOWERCASE ALPHA' literal value.

      If the meaning of 'LOWERCASE ALPHA' literal object isn't clear, there really should be more of a description here...

      See Also:
        `LOWERCASE_ALPHA`, Constant Field Values

    - #### UPPERCASE_ALPHA_VALUE

          public static final int UPPERCASE_ALPHA_VALUE

      The 'UPPERCASE ALPHA' literal value.

      If the meaning of 'UPPERCASE ALPHA' literal object isn't clear, there really should be more of a description here...

      See Also:
        `UPPERCASE_ALPHA`, Constant Field Values

    - #### UPPERCASE_ROMAN_NUMERALS_VALUE

          public static final int UPPERCASE_ROMAN_NUMERALS_VALUE

      The 'UPPERCASE ROMAN NUMERALS' literal value.

      If the meaning of 'UPPERCASE ROMAN NUMERALS' literal object isn't clear, there really should be more of a description here...

      See Also:
        `UPPERCASE_ROMAN_NUMERALS`, Constant Field Values

    - #### LOWERCASE_ROMAN_NUMERALS_VALUE

          public static final int LOWERCASE_ROMAN_NUMERALS_VALUE

      The 'LOWERCASE ROMAN NUMERALS' literal value.

      If the meaning of 'LOWERCASE ROMAN NUMERALS' literal object isn't clear, there really should be more of a description here...

      See Also:
        `LOWERCASE_ROMAN_NUMERALS`, Constant Field Values

    - #### VALUES

          public static final java.util.List<WizardNumberingTypes> VALUES

      A public read-only list of all the 'Wizard Numbering Types' enumerators.

  - ### Method Detail

    - #### values

          public static WizardNumberingTypes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WizardNumberingTypes c : WizardNumberingTypes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WizardNumberingTypes valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static WizardNumberingTypes get(java.lang.String literal)

      Returns the 'Wizard Numbering Types' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static WizardNumberingTypes getByName(java.lang.String name)

      Returns the 'Wizard Numbering Types' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static WizardNumberingTypes get(int value)

      Returns the 'Wizard Numbering Types' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<WizardNumberingTypes>`